import { gsap } from 'gsap';
import { PlayState } from './types';
import { TimelineProps } from 'Timeline';
import { TweenProps } from 'Tween';
import { ContextProps } from 'Provider';
declare const setPlayState: (playState?: PlayState | undefined, prevPlayState?: PlayState | null | undefined, tween?: any) => void;
declare const setInitialPlayState: (tweenOrTimeline: any, props: TimelineProps | TweenProps) => void;
declare const getInitialPaused: (playState?: PlayState | undefined) => boolean | undefined;
declare const getTweenFunction: (targets: any, props: TweenProps | TimelineProps, context?: ContextProps | undefined) => gsap.core.Tween | gsap.core.Timeline;
declare const callTweenFunction: (tweenFunction: any, functionName: string, params?: Array<any> | undefined, returnFunction?: string | undefined) => void;
declare const isEqual: (obj1: any, obj2: any) => boolean;
declare const refOrInnerRef: (child: any) => "ref" | "innerRef";
declare const getRefProp: (child: any, addTarget: (target: any) => void) => {
    innerRef: (target: any) => void;
    ref?: undefined;
} | {
    ref: (target: any) => void;
    innerRef?: undefined;
};
declare const getTargetRefProp: (child: any, setTarget: (key: string, target: any) => void, addTarget: (target: any) => void) => {
    innerRef: (target: any) => void;
    ref?: undefined;
} | {
    ref: (target: any) => void;
    innerRef?: undefined;
};
declare const nullishCoalescing: <T, R>(value: T, ifNullish: R) => T | R;
declare const setProps: (tweenOrTimeline: any, props: TimelineProps | TweenProps, prevProps?: TimelineProps | TweenProps | undefined) => void;
export { getTweenFunction, callTweenFunction, setPlayState, isEqual, refOrInnerRef, getRefProp, getTargetRefProp, nullishCoalescing, setProps, setInitialPlayState, getInitialPaused, };
